package cz.jzitnik.game.entities.items.registry.blocks.grassy;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.Farmable;
import cz.jzitnik.game.annotations.ResetDataOnMine;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.farmable.FarmableData;

@ResetDataOnMine
@Farmable
@BlockRegistry("wheat")
public class WheatBlock extends Block {
    public WheatBlock() {
        super("weat", SpriteLoader.SPRITES.OAK_SAPLING, 0);
        setData(new FarmableData());
        setGhost(true);
    }
}
